Skip to main content

Get Subscription by ID

Get Subscription
GET

Retrieve the details of a webhook subscription by its unique id.

Request

GET

GET /v1/subscribe/:id

Path Parameter

  • idnumber

    Replace :id with the webhook subscription id.

Response

200

Body

  • idnumber

    Example: 7

  • event_namestring

    Example: candidate.deleted

  • target_urlstring

    Example: https://xyz_updated.com

  • sourcestring

    Example: public

  • created_atstring

    Example: 2026-07-29T20:09:54.000Z

  • updated_atstring

    Example: 2026-07-29T20:16:21.000Z

404

Error

  • Subscription not found

Response Example

{
"id": 7,
"event_name": "candidate.deleted",
"target_url": "https://xyz_updated.com",
"source": "public",
"created_at": "2026-07-29T20:09:54.000Z",
"updated_at": "2026-07-29T20:16:21.000Z"
}